Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 603123 - [abrt] crash in thunderbird-3.0.4-2.fc12: Process /usr/lib/thunderbird-3.0/thunderbird-bin was killed by signal 11 (SIGSEGV)
[abrt] crash in thunderbird-3.0.4-2.fc12: Process /usr/lib/thunderbird-3.0/th...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:705c7a75ad1842853998f066098...
:
: 603071 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-11 11:31 EDT by Alex Bartl
Modified: 2010-12-03 08:54 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:54:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (89.52 KB, text/plain)
2010-06-11 11:31 EDT, Alex Bartl
no flags Details

  None (edit)
Description Alex Bartl 2010-06-11 11:31:37 EDT
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/thunderbird-3.0/thunderbird-bin
component: thunderbird
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib/thunderbird-3.0/thunderbird-bin
global_uuid: 705c7a75ad1842853998f066098d87d263adcb7f
kernel: 2.6.32.12-115.fc12.i686.PAE
package: thunderbird-3.0.4-2.fc12
rating: 4
reason: Process /usr/lib/thunderbird-3.0/thunderbird-bin was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. deleted a couple mails, one by one with the delete button in the preview pane
2.
3.
Comment 1 Alex Bartl 2010-06-11 11:31:41 EDT
Created attachment 423314 [details]
File: backtrace
Comment 2 Chris Campbell 2010-06-13 13:09:26 EDT
#3  <signal handler called>
No symbol table info available.
#4  0x014a84bc in CallQueryInterface<nsISupports, nsXPCOMCycleCollectionParticipant> (wrapper=<value optimized out>)
    at ../../../../dist/include/xpcom/nsISupportsUtils.h:203
No locals.
#5  WrapperIsNotMainThreadOnly (wrapper=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/js/src/xpconnect/src/nsXPConnect.cpp:711
        proto = <value optimized out>
        participant = 0x14aad56
#6  0x014aadda in nsXPConnect::Traverse (this=0xb7276470, p=0xb380bbe0, cb=
    ...)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/js/src/xpconnect/src/nsXPConnect.cpp:748
        wrapper = <value optimized out>
        traceKind = 0
        obj = 0xb380bbe0
        type = <value optimized out>
        trc = {<JSTracer> = {context = 0xb760ac00, callback = 
    0x14aacc7 <NoteJSChild(JSTracer*, void*, uint32)>}, cb = @0xbf8604ec}
        cx = 0xb760ac00
        clazz = 0x1554554
        dontTraverse = 0
        markJSObject = 0
#7  0x0027157b in GCGraphBuilder::Traverse (this=0xbf8604ec, aPtrInfo=
    0xa153002c)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/xpcom/base/nsCycleCollector.cpp:1375
        rv = <value optimized out>
#8  0x002715f3 in nsCycleCollector::MarkRoots (this=0xb7642000, builder=...)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/xpcom/base/nsCycleCollector.cpp:1574
        pi = <value optimized out>
#9  0x00271dfc in nsCycleCollector::BeginCollection (this=0xb7642000)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/xpcom/base/nsCycleCollector.cpp:2507
        builder = {<nsCycleCollectionTraversalCallback> = {
            _vptr.nsCycleCollectionTraversalCallback = 0x2cb678}, 
          mNodeBuilder = {mNextBlock = 0xa1401000, mNext = @0xb7642044, 
            mBlockEnd = 0xa14c1004}, mEdgeBuilder = {mCurrent = 0xa1791f40, 
            mBlockEnd = 0xa1799ff8, mNextBlockPtr = 0xa1799ffc}, 
          mPtrToNodeMap = {ops = 0x2cd1b4, data = 0x0, hashShift = 16, 
            maxAlphaFrac = 192 '\300', minAlphaFrac = 64 '@', entrySize = 8, 
            entryCount = 33002, removedCount = 0, generation = 1, 
            entryStore = 0xa1601000 ""}, mCurrPi = 0xa153002c, mRuntimes = 
    0xb7642010}



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Chris Campbell 2010-06-13 13:11:49 EDT
*** Bug 603071 has been marked as a duplicate of this bug. ***
Comment 4 d. johnson 2010-08-09 10:46:55 EDT
Thank you for taking the time to report this bug. Updates to this package have been released since it was first reported. If you have time to update the package and re-test, please do so and report the results here. You can obtain the updated package by typing 'yum update <package>' or using the graphical updater, Software Update.


Disable any extensions, plugins and non-default themes.  Exit cleanly and restart thunderbird.  Are you able to replicate the crash?




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2010-11-03 09:18:47 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-12-03 08:54:32 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.